# frozen_string_literal: true

require_relative "lib/dwarves/version"

Gem::Specification.new do |spec|
  spec.name          = "dwarves"
  spec.version       = Dwarves::VERSION
  spec.authors       = ["Mark Delk"]
  spec.email         = ["jethrodaniel@gmail.com"]

  spec.summary       = <<~MSG
    DWARF parser (only the .debug_info section for now).
  MSG
  spec.homepage      = "https://github.com/jethrodaniel/dwarves"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new ">= 2.3.0"

  spec.metadata = {
    "allowed_push_host" => "https://rubygems.org",
    "homepage_uri"      => spec.homepage,
    "source_code_uri"   => spec.homepage
  }

  # Specify which files should be added to the gem when it is released.  The
  # `git ls-files -z` loads the files in the RubyGem that have been added into
  # git.
  spec.files = Dir.chdir(File.expand_path __dir__) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match %r{^(test|spec|features)/}
    end
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename f }
  spec.require_paths = ["lib"]

  {
    "awesome_print" => "~> 1.8",
    "parslet"       => "~> 1.8"
  }.each do |gem, version|
    spec.add_dependency gem, version
  end

  {
    "bundler"            => "~> 2.0",
    "minitest-reporters" => "~> 1.3",
    "pry"                => "~> 0.12.2",
    "pry-byebug"         => "~> 3.7",
    "pry-doc"            => "~> 1.0",
    "rake"               => "~> 12.3",
    "rubocop"            => "~> 0.72.0",
    "redcarpet"          => "~> 3.4"
  }.each do |gem, version|
    spec.add_development_dependency gem, version
  end
end
